import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid, textCode) {
  return request({
    url: '/auth/login',
    headers: {
      isToken: false,
      repeatSubmit: false
    },
    method: 'post',
    timeout: 20000,
    data: { username, password, code, uuid, textCode }
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/auth/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 刷新方法
export function refreshToken() {
  return request({
    url: '/auth/refresh',
    method: 'post'
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/auth/logout',
    method: 'delete'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/code',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

// 短信验证码
export function sendCode(data) {
  return request({
    url: '/auth/sendCode',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}
// 短信验证码
export function sendCodeNew(data) {
  return request({
    url: '/auth/loginByCode',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}
// 短信验证码--登录
export function checkCode(data) {
  return request({
    url: '/auth/checkCode',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}



//南网机具认证中心登录1
export function SsoLogin(data) {
  return request({
    url: '/auth/onlineApprove',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}


//南网机具认证中心登录2
export function loginByMall(data) {
  return request({
    url: '/auth/loginByMall',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}



